/* nemode.h: this header file was produced automatically by
 * the ./mktbls program, based on input from the file modetbl
 */
#ifndef	OFFSETOF
#define	OFFSETOF(T, M)	(((int)&(((T*)0)->M))/\
				 ((int)&(((T*)0)->Q1) - (int)&(((T*)0)->s_MAX)))
#endif

#ifdef realdef
/*
 * List of strings shared between all_modes, b_valnames and w_valnames
 */
static char
#if (OPT_EVAL)
	s_abufname__[]		= "abufname",			/* env */
#endif
	s_all__[]		= "all",			/* ? */
	s_ascnt__[]		= "ascnt",			/* int */
	s_autosavecnt__[]	= "autosavecnt",		/* int */
#if COLOR
	s_bcolor__[]		= "bcolor",			/* color */
#endif
#if (OPT_EVAL) & (PROC)
	s_buffer_hook__[]	= "buffer-hook",		/* env */
#endif
	s_c_shiftwidth__[]	= "c-shiftwidth",		/* int */
	s_c_suffixes__[]	= "c-suffixes",			/* regex */
	s_c_tabstop__[]		= "c-tabstop",			/* int */
#if (OPT_EVAL)
	s_cbufname__[]		= "cbufname",			/* env */
#endif
#if (OPT_EVAL) & (PROC)
	s_cd_hook__[]		= "cd-hook",			/* env */
#endif
#if (OPT_EVAL)
	s_cfilname__[]		= "cfilname",			/* env */
	s_char__[]		= "char",			/* env */
#endif
	s_comments__[]		= "comments",			/* regex */
	s_csuf__[]		= "csuf",			/* regex */
	s_csw__[]		= "csw",			/* int */
	s_cts__[]		= "cts",			/* int */
#if (OPT_EVAL)
	s_curcol__[]		= "curcol",			/* env */
	s_curline__[]		= "curline",			/* env */
	s_cwd__[]		= "cwd",			/* env */
	s_cwline__[]		= "cwline",			/* env */
	s_debug__[]		= "debug",			/* env */
	s_directory__[]		= "directory",			/* env */
	s_discmd__[]		= "discmd",			/* env */
	s_disinp__[]		= "disinp",			/* env */
#endif
#if (OPT_EVAL) & (PROC)
	s_exit_hook__[]		= "exit-hook",			/* env */
#endif
	s_expand_chars__[]	= "expand-chars",		/* string */
	s_fc__[]		= "fc",				/* int */
#if COLOR
	s_fcolor__[]		= "fcolor",			/* color */
#endif
	s_fillcol__[]		= "fillcol",			/* int */
#if (OPT_EVAL)
	s_flicker__[]		= "flicker",			/* env */
#endif
#if (OPT_EVAL) & (X11)
	s_font__[]		= "font",			/* env */
#endif
#if OPT_GLOB_PIPE
	s_glob__[]		= "glob",			/* string */
#endif
#if (OPT_EVAL) & (X11)
	s_iconname__[]		= "iconname",			/* env */
#endif
#if (OPT_EVAL)
	s_identifier__[]	= "identifier",			/* env */
	s_kill__[]		= "kill",			/* env */
	s_lastkey__[]		= "lastkey",			/* env */
	s_line__[]		= "line",			/* env */
	s_llength__[]		= "llength",			/* env */
	s_match__[]		= "match",			/* env */
	s_mode__[]		= "mode",			/* env */
#endif
	s_noab__[]		= "noab",			/* Bool */
	s_noai__[]		= "noai",			/* Bool */
	s_noalt_tabpos__[]	= "noalt-tabpos",		/* Bool */
#if OPT_UPBUFF
	s_noanimated__[]	= "noanimated",			/* Bool */
#endif
	s_noas__[]		= "noas",			/* Bool */
	s_noatp__[]		= "noatp",			/* Bool */
	s_noautobuffer__[]	= "noautobuffer",		/* Bool */
	s_noautoindent__[]	= "noautoindent",		/* Bool */
	s_noautosave__[]	= "noautosave",			/* Bool */
	s_nobackspacelimit__[]	= "nobackspacelimit",		/* Bool */
	s_nobl__[]		= "nobl",			/* Bool */
#if !SMALLER
	s_nocheck_modtime__[]	= "nocheck-modtime",		/* Bool */
#endif
	s_nocmode__[]		= "nocmode",			/* Bool */
#if CRYPT
	s_nocrypt__[]		= "nocrypt",			/* Bool */
#endif
#if COMPLETE_DIRS
	s_nodirc__[]		= "nodirc",			/* Bool */
#endif
	s_nodos__[]		= "nodos",			/* Bool */
	s_noexpand_path__[]	= "noexpand-path",		/* Bool */
#if OPT_FLASH
	s_noflash__[]		= "noflash",			/* Bool */
#endif
#if !OPT_GLOB_PIPE
	s_noglob__[]		= "noglob",			/* Bool */
#endif
#if OPT_HISTORY
	s_nohi__[]		= "nohi",			/* Bool */
	s_nohistory__[]		= "nohistory",			/* Bool */
#endif
	s_nohorizscroll__[]	= "nohorizscroll",		/* Bool */
	s_nohs__[]		= "nohs",			/* Bool */
	s_noib__[]		= "noib",			/* Bool */
	s_noic__[]		= "noic",			/* Bool */
	s_noignorecase__[]	= "noignorecase",		/* Bool */
	s_noimplybuffer__[]	= "noimplybuffer",		/* Bool */
	s_noli__[]		= "noli",			/* Bool */
#if OPT_LINEWRAP
	s_nolinewrap__[]	= "nolinewrap",			/* Bool */
#endif
	s_nolist__[]		= "nolist",			/* Bool */
#if OPT_LINEWRAP
	s_nolw__[]		= "nolw",			/* Bool */
#endif
	s_nomagic__[]		= "nomagic",			/* Bool */
	s_nometa_insert_bindings__[] = "nometa-insert-bindings", /* Bool */
	s_nomib__[]		= "nomib",			/* Bool */
	s_nomultibeep__[]	= "nomultibeep",		/* Bool */
	s_nonewline__[]		= "nonewline",			/* Bool */
	s_nonl__[]		= "nonl",			/* Bool */
	s_nonu__[]		= "nonu",			/* Bool */
	s_nonumber__[]		= "nonumber",			/* Bool */
#if NOTYET
	s_nopc__[]		= "nopc",			/* Bool */
	s_nopm__[]		= "nopm",			/* Bool */
	s_nopopup_choices__[]	= "nopopup-choices",		/* Bool */
	s_nopopup_msgs__[]	= "nopopup-msgs",		/* Bool */
#endif
#if !SMALLER
	s_noruler__[]		= "noruler",			/* Bool */
#endif
	s_nosamebangs__[]	= "nosamebangs",		/* Bool */
	s_nosb__[]		= "nosb",			/* Bool */
	s_noshowmatch__[]	= "noshowmatch",		/* Bool */
	s_noshowmode__[]	= "noshowmode",			/* Bool */
#if RAMSIZE
	s_noshowram__[]		= "noshowram",			/* Bool */
#endif
	s_nosm__[]		= "nosm",			/* Bool */
	s_nosmd__[]		= "nosmd",			/* Bool */
#if RAMSIZE
	s_nosr__[]		= "nosr",			/* Bool */
#endif
	s_notabinsert__[]	= "notabinsert",		/* Bool */
	s_notagrelative__[]	= "notagrelative",		/* Bool */
	s_noterse__[]		= "noterse",			/* Bool */
#if OPT_SELECTIONS
	s_noterse_selections__[] = "noterse-selections",	/* Bool */
#endif
	s_noti__[]		= "noti",			/* Bool */
	s_notr__[]		= "notr",			/* Bool */
#if OPT_SELECTIONS
	s_notsel__[]		= "notsel",			/* Bool */
#endif
	s_nounprintable_as_octal__[] = "nounprintable-as-octal", /* Bool */
	s_nouo__[]		= "nouo",			/* Bool */
	s_noview__[]		= "noview",			/* Bool */
	s_noview_on_readonly__[] = "noview-on-readonly",	/* Bool */
	s_nowrapscan__[]	= "nowrapscan",			/* Bool */
	s_nowrapwords__[]	= "nowrapwords",		/* Bool */
	s_nows__[]		= "nows",			/* Bool */
	s_noww__[]		= "noww",			/* Bool */
#if OPT_XTERM
	s_noxterm_mouse__[]	= "noxterm-mouse",		/* Bool */
#endif
#if (OPT_EVAL)
	s_ntildes__[]		= "ntildes",			/* env */
	s_ocwd__[]		= "ocwd",			/* env */
	s_os__[]		= "os",				/* env */
	s_pagelen__[]		= "pagelen",			/* env */
	s_pagewid__[]		= "pagewid",			/* env */
	s_palette__[]		= "palette",			/* env */
#endif
	s_paragraphs__[]	= "paragraphs",			/* regex */
#if (OPT_EVAL)
	s_pathname__[]		= "pathname",			/* env */
	s_pending__[]		= "pending",			/* env */
#endif
	s_printing_high__[]	= "printing-high",		/* int */
	s_printing_low__[]	= "printing-low",		/* int */
#if (OPT_EVAL)
	s_progname__[]		= "progname",			/* env */
	s_qidentifier__[]	= "qidentifier",		/* env */
#endif
#if (OPT_EVAL) & (RAMSIZE)
	s_ram__[]		= "ram",			/* env */
#endif
#if (OPT_EVAL) & (PROC)
	s_read_hook__[]		= "read-hook",			/* env */
#endif
#if (OPT_EVAL)
	s_replace__[]		= "replace",			/* env */
#endif
	s_report__[]		= "report",			/* int */
#if (OPT_EVAL)
	s_search__[]		= "search",			/* env */
#endif
	s_sections__[]		= "sections",			/* regex */
#if (OPT_EVAL)
	s_seed__[]		= "seed",			/* env */
#endif
	s_sentences__[]		= "sentences",			/* regex */
#if (OPT_EVAL)
	s_shell__[]		= "shell",			/* env */
#endif
	s_shiftwidth__[]	= "shiftwidth",			/* int */
	s_side__[]		= "side",			/* int */
	s_sideways__[]		= "sideways",			/* int */
#if (OPT_EVAL)
	s_sres__[]		= "sres",			/* env */
	s_status__[]		= "status",			/* env */
#endif
	s_sw__[]		= "sw",				/* int */
	s_tabstop__[]		= "tabstop",			/* int */
	s_taglength__[]		= "taglength",			/* int */
	s_tags__[]		= "tags",			/* string */
	s_timeoutlen__[]	= "timeoutlen",			/* int */
#if (OPT_EVAL) & (X11)
	s_title__[]		= "title",			/* env */
#endif
	s_tl__[]		= "tl",				/* int */
#if (OPT_EVAL)
	s_tpause__[]		= "tpause",			/* env */
#endif
	s_ts__[]		= "ts",				/* int */
	s_ul__[]		= "ul",				/* int */
	s_undolimit__[]		= "undolimit",			/* int */
#if (OPT_EVAL)
	s_version__[]		= "version",			/* env */
	s_wline__[]		= "wline",			/* env */
#endif
	s_wm__[]		= "wm",				/* int */
#if (OPT_EVAL)
	s_word__[]		= "word",			/* env */
#endif
	s_wrapmargin__[]	= "wrapmargin",			/* int */
#if (OPT_EVAL) & (PROC)
	s_write_hook__[]	= "write-hook";			/* env */
#endif
#endif /* realdef */

#ifdef realdef
char *all_modes[] = {
	s_noab__+2,
#if (OPT_EVAL)
	s_abufname__,
#endif
	s_noai__+2,
	s_all__,
	s_noalt_tabpos__+2,
#if OPT_UPBUFF
	s_noanimated__+2,
#endif
	s_noas__+2,
	s_ascnt__,
	s_noatp__+2,
	s_noautobuffer__+2,
	s_noautoindent__+2,
	s_noautosave__+2,
	s_autosavecnt__,
	s_nobackspacelimit__+2,
#if COLOR
	s_bcolor__,
#endif
	s_nobl__+2,
#if (OPT_EVAL) & (PROC)
	s_buffer_hook__,
#endif
	s_c_shiftwidth__,
	s_c_suffixes__,
	s_c_tabstop__,
#if (OPT_EVAL)
	s_cbufname__,
#endif
#if (OPT_EVAL) & (PROC)
	s_cd_hook__,
#endif
#if (OPT_EVAL)
	s_cfilname__,
	s_char__,
#endif
#if !SMALLER
	s_nocheck_modtime__+2,
#endif
	s_nocmode__+2,
	s_comments__,
#if CRYPT
	s_nocrypt__+2,
#endif
	s_csuf__,
	s_csw__,
	s_cts__,
#if (OPT_EVAL)
	s_curcol__,
	s_curline__,
	s_cwd__,
	s_cwline__,
	s_debug__,
#endif
#if COMPLETE_DIRS
	s_nodirc__+2,
#endif
#if (OPT_EVAL)
	s_directory__,
	s_discmd__,
	s_disinp__,
#endif
	s_nodos__+2,
#if (OPT_EVAL) & (PROC)
	s_exit_hook__,
#endif
	s_expand_chars__,
	s_noexpand_path__+2,
	s_fc__,
#if COLOR
	s_fcolor__,
#endif
	s_fillcol__,
#if OPT_FLASH
	s_noflash__+2,
#endif
#if (OPT_EVAL)
	s_flicker__,
#endif
#if (OPT_EVAL) & (X11)
	s_font__,
#endif
#if !OPT_GLOB_PIPE
	s_noglob__+2,
#endif
#if OPT_GLOB_PIPE
	s_glob__,
#endif
#if OPT_HISTORY
	s_nohi__+2,
	s_nohistory__+2,
#endif
	s_nohorizscroll__+2,
	s_nohs__+2,
	s_noib__+2,
	s_noic__+2,
#if (OPT_EVAL) & (X11)
	s_iconname__,
#endif
#if (OPT_EVAL)
	s_identifier__,
#endif
	s_noignorecase__+2,
	s_noimplybuffer__+2,
#if (OPT_EVAL)
	s_kill__,
	s_lastkey__,
#endif
	s_noli__+2,
#if (OPT_EVAL)
	s_line__,
#endif
#if OPT_LINEWRAP
	s_nolinewrap__+2,
#endif
	s_nolist__+2,
#if (OPT_EVAL)
	s_llength__,
#endif
#if OPT_LINEWRAP
	s_nolw__+2,
#endif
	s_nomagic__+2,
#if (OPT_EVAL)
	s_match__,
#endif
	s_nometa_insert_bindings__+2,
	s_nomib__+2,
#if (OPT_EVAL)
	s_mode__,
#endif
	s_nomultibeep__+2,
	s_nonewline__+2,
	s_nonl__+2,
	s_noab__,
	s_noai__,
	s_noalt_tabpos__,
#if OPT_UPBUFF
	s_noanimated__,
#endif
	s_noas__,
	s_noatp__,
	s_noautobuffer__,
	s_noautoindent__,
	s_noautosave__,
	s_nobackspacelimit__,
	s_nobl__,
#if !SMALLER
	s_nocheck_modtime__,
#endif
	s_nocmode__,
#if CRYPT
	s_nocrypt__,
#endif
#if COMPLETE_DIRS
	s_nodirc__,
#endif
	s_nodos__,
	s_noexpand_path__,
#if OPT_FLASH
	s_noflash__,
#endif
#if !OPT_GLOB_PIPE
	s_noglob__,
#endif
#if OPT_HISTORY
	s_nohi__,
	s_nohistory__,
#endif
	s_nohorizscroll__,
	s_nohs__,
	s_noib__,
	s_noic__,
	s_noignorecase__,
	s_noimplybuffer__,
	s_noli__,
#if OPT_LINEWRAP
	s_nolinewrap__,
#endif
	s_nolist__,
#if OPT_LINEWRAP
	s_nolw__,
#endif
	s_nomagic__,
	s_nometa_insert_bindings__,
	s_nomib__,
	s_nomultibeep__,
	s_nonewline__,
	s_nonl__,
	s_nonu__,
	s_nonumber__,
#if NOTYET
	s_nopc__,
	s_nopm__,
	s_nopopup_choices__,
	s_nopopup_msgs__,
#endif
#if !SMALLER
	s_noruler__,
#endif
	s_nosamebangs__,
	s_nosb__,
	s_noshowmatch__,
	s_noshowmode__,
#if RAMSIZE
	s_noshowram__,
#endif
	s_nosm__,
	s_nosmd__,
#if RAMSIZE
	s_nosr__,
#endif
	s_notabinsert__,
	s_notagrelative__,
	s_noterse__,
#if OPT_SELECTIONS
	s_noterse_selections__,
#endif
	s_noti__,
	s_notr__,
#if OPT_SELECTIONS
	s_notsel__,
#endif
	s_nounprintable_as_octal__,
	s_nouo__,
	s_noview__,
	s_noview_on_readonly__,
	s_nowrapscan__,
	s_nowrapwords__,
	s_nows__,
	s_noww__,
#if OPT_XTERM
	s_noxterm_mouse__,
#endif
#if (OPT_EVAL)
	s_ntildes__,
#endif
	s_nonu__+2,
	s_nonumber__+2,
#if (OPT_EVAL)
	s_ocwd__,
	s_os__,
	s_pagelen__,
	s_pagewid__,
	s_palette__,
#endif
	s_paragraphs__,
#if (OPT_EVAL)
	s_pathname__,
#endif
#if NOTYET
	s_nopc__+2,
#endif
#if (OPT_EVAL)
	s_pending__,
#endif
#if NOTYET
	s_nopm__+2,
	s_nopopup_choices__+2,
	s_nopopup_msgs__+2,
#endif
	s_printing_high__,
	s_printing_low__,
#if (OPT_EVAL)
	s_progname__,
	s_qidentifier__,
#endif
#if (OPT_EVAL) & (RAMSIZE)
	s_ram__,
#endif
#if (OPT_EVAL) & (PROC)
	s_read_hook__,
#endif
#if (OPT_EVAL)
	s_replace__,
#endif
	s_report__,
#if !SMALLER
	s_noruler__+2,
#endif
	s_nosamebangs__+2,
	s_nosb__+2,
#if (OPT_EVAL)
	s_search__,
#endif
	s_sections__,
#if (OPT_EVAL)
	s_seed__,
#endif
	s_sentences__,
#if (OPT_EVAL)
	s_shell__,
#endif
	s_shiftwidth__,
	s_noshowmatch__+2,
	s_noshowmode__+2,
#if RAMSIZE
	s_noshowram__+2,
#endif
	s_side__,
	s_sideways__,
	s_nosm__+2,
	s_nosmd__+2,
#if RAMSIZE
	s_nosr__+2,
#endif
#if (OPT_EVAL)
	s_sres__,
	s_status__,
#endif
	s_sw__,
	s_notabinsert__+2,
	s_tabstop__,
	s_taglength__,
	s_notagrelative__+2,
	s_tags__,
	s_noterse__+2,
#if OPT_SELECTIONS
	s_noterse_selections__+2,
#endif
	s_noti__+2,
	s_timeoutlen__,
#if (OPT_EVAL) & (X11)
	s_title__,
#endif
	s_tl__,
#if (OPT_EVAL)
	s_tpause__,
#endif
	s_notr__+2,
	s_ts__,
#if OPT_SELECTIONS
	s_notsel__+2,
#endif
	s_ul__,
	s_undolimit__,
	s_nounprintable_as_octal__+2,
	s_nouo__+2,
#if (OPT_EVAL)
	s_version__,
#endif
	s_noview__+2,
	s_noview_on_readonly__+2,
#if (OPT_EVAL)
	s_wline__,
#endif
	s_wm__,
#if (OPT_EVAL)
	s_word__,
#endif
	s_wrapmargin__,
	s_nowrapscan__+2,
	s_nowrapwords__+2,
#if (OPT_EVAL) & (PROC)
	s_write_hook__,
#endif
	s_nows__+2,
	s_noww__+2,
#if OPT_XTERM
	s_noxterm_mouse__+2,
#endif
	NULL	/* ends table */
};
#else
extern char *all_modes[];
#endif /* realdef */

/* global mode flags	*/
/* the indices of G_VALUES.v[] */
typedef	struct	{
	char	s_alt_tabpos__; /* emacs-style cursor positioning */
	char	s_autobuffer__; /* auto-buffer (lru) */
	char	s_c_suffixes__; /* match against filenames to turn on c-mode */
#if COMPLETE_DIRS
	char	s_dirc__;	/* directory-completion (slow!) */
#endif
	char	s_expand_chars__; /* list of chars we can expand (%,#,:) */
	char	s_expand_path__; /* true iff %/# don't substitute shortened-path */
#if OPT_FLASH
	char	s_flash__;	/* visible-bell (flash) */
#endif
#if !OPT_GLOB_PIPE
	char	s_glob__;	/* enable/disable filename globbing */
#endif
#if OPT_GLOB_PIPE
	char	s_glob__;	/* select filename globbing style */
#endif
#if OPT_HISTORY
	char	s_history__;	/* command-history */
#endif
	char	s_implybuffer__; /* imply-buffer (vi-like) */
	char	s_multibeep__;	/* multiple successive identical failed motions all beep */
#if NOTYET
	char	s_popup_choices__; /* popup buffer showing file-completion choices */
	char	s_popup_msgs__; /* popup buffer when multiple messages emitted */
#endif
	char	s_printing_high__; /* high end of high-bit-set printable range */
	char	s_printing_low__; /* low end of high-bit-set printable range */
	char	s_report__;	/* threshold for reporting changes */
	char	s_samebangs__;	/* use same "!!" data for ^X-! */
#if RAMSIZE
	char	s_showram__;	/* show ram-usage */
#endif
	char	s_timeoutlen__; /* how long to catnap for more input */
	char	s_view_on_readonly__; /* set view mode for readonly files */
#if OPT_XTERM
	char	s_xterm_mouse__; /* (patch) mode to control whether we allow mouse-clicking */
#endif
	char	s_MAX;
	char	Q1;
	} IndexGlobals;

#define GMDALTTABPOS 	OFFSETOF(IndexGlobals, s_alt_tabpos__)
#define GMDABUFF 	OFFSETOF(IndexGlobals, s_autobuffer__)
#define GVAL_CSUFFIXES  OFFSETOF(IndexGlobals, s_c_suffixes__)
#if COMPLETE_DIRS
#define GMDDIRC 	OFFSETOF(IndexGlobals, s_dirc__)
#endif
#define GVAL_EXPAND_CHARS  OFFSETOF(IndexGlobals, s_expand_chars__)
#define GMDEXPAND_PATH  OFFSETOF(IndexGlobals, s_expand_path__)
#if OPT_FLASH
#define GMDFLASH 	OFFSETOF(IndexGlobals, s_flash__)
#endif
#if !OPT_GLOB_PIPE
#define GMDGLOB 	OFFSETOF(IndexGlobals, s_glob__)
#endif
#if OPT_GLOB_PIPE
#define GVAL_GLOB 	OFFSETOF(IndexGlobals, s_glob__)
#endif
#if OPT_HISTORY
#define GMDHISTORY 	OFFSETOF(IndexGlobals, s_history__)
#endif
#define GMDIMPLYBUFF 	OFFSETOF(IndexGlobals, s_implybuffer__)
#define GMDMULTIBEEP 	OFFSETOF(IndexGlobals, s_multibeep__)
#if NOTYET
#define GMDPOPUP_FILEC  OFFSETOF(IndexGlobals, s_popup_choices__)
#define GMDPOPUP_MSGS 	OFFSETOF(IndexGlobals, s_popup_msgs__)
#endif
#define GVAL_PRINT_HIGH  OFFSETOF(IndexGlobals, s_printing_high__)
#define GVAL_PRINT_LOW  OFFSETOF(IndexGlobals, s_printing_low__)
#define GVAL_REPORT 	OFFSETOF(IndexGlobals, s_report__)
#define GMDSAMEBANGS 	OFFSETOF(IndexGlobals, s_samebangs__)
#if RAMSIZE
#define GMDRAMSIZE 	OFFSETOF(IndexGlobals, s_showram__)
#endif
#define GVAL_TIMEOUTVAL  OFFSETOF(IndexGlobals, s_timeoutlen__)
#define GMDRONLYVIEW 	OFFSETOF(IndexGlobals, s_view_on_readonly__)
#if OPT_XTERM
#define GMDXTERM_MOUSE  OFFSETOF(IndexGlobals, s_xterm_mouse__)

#endif
#define NUM_G_VALUES	OFFSETOF(IndexGlobals, s_MAX) /* SIZEOF(g_valuenames) -- Globals */
#define MAX_G_VALUES	22


typedef struct G_VALUES {
	/* each entry is a val, and a ptr to a val */
	struct VAL gv[MAX_G_VALUES+1];
} G_VALUES;

#ifdef realdef
struct VALNAMES g_valuenames[] = {
	{ s_noalt_tabpos__+2,	s_noatp__+2,	VALTYPE_BOOL,	0 },
	{ s_noautobuffer__+2,	s_noab__+2,	VALTYPE_BOOL,	0 },
	{ s_c_suffixes__,	s_csuf__,	VALTYPE_REGEX,	0 },
#if COMPLETE_DIRS
	{ s_nodirc__+2,		"X",		VALTYPE_BOOL,	0 },
#endif
	{ s_expand_chars__,	"X",		VALTYPE_STRING, 0 },
	{ s_noexpand_path__+2,	"X",		VALTYPE_BOOL,	0 },
#if OPT_FLASH
	{ s_noflash__+2,	"X",		VALTYPE_BOOL,	0 },
#endif
#if !OPT_GLOB_PIPE
	{ s_noglob__+2,		"X",		VALTYPE_BOOL,	0 },
#endif
#if OPT_GLOB_PIPE
	{ s_glob__,		"X",		VALTYPE_STRING, 0 },
#endif
#if OPT_HISTORY
	{ s_nohistory__+2,	s_nohi__+2,	VALTYPE_BOOL,	0 },
#endif
	{ s_noimplybuffer__+2,	s_noib__+2,	VALTYPE_BOOL,	0 },
	{ s_nomultibeep__+2,	"X",		VALTYPE_BOOL,	0 },
#if NOTYET
	{ s_nopopup_choices__+2, s_nopc__+2,	VALTYPE_BOOL,	0 },
	{ s_nopopup_msgs__+2,	s_nopm__+2,	VALTYPE_BOOL,	0 },
#endif
	{ s_printing_high__,	"X",		VALTYPE_INT,	WFHARD },
	{ s_printing_low__,	"X",		VALTYPE_INT,	WFHARD },
	{ s_report__,		"X",		VALTYPE_INT,	0 },
	{ s_nosamebangs__+2,	s_nosb__+2,	VALTYPE_BOOL,	0 },
#if RAMSIZE
	{ s_noshowram__+2,	s_nosr__+2,	VALTYPE_BOOL,	0 },
#endif
	{ s_timeoutlen__,	"X",		VALTYPE_INT,	0 },
	{ s_noview_on_readonly__+2, "X",	VALTYPE_BOOL,	0 },
#if OPT_XTERM
	{ s_noxterm_mouse__+2,	"X",		VALTYPE_BOOL,	0 },
#endif

	{ NULL,	NULL,	VALTYPE_INT, 0 }
};
#else
extern struct VALNAMES g_valuenames[];
#endif

/* these are the boolean, integer, and pointer value'd settings that are
	associated with a window, and usually settable by a user.  There
	is a global set that is inherited into a buffer, and its windows
	in turn are inherit the buffer's set. */
typedef	struct	{
#if COLOR
	char	s_bcolor__;	/* background color */
	char	s_fcolor__;	/* foreground color */
#endif
	char	s_horizscroll__; /* scroll whole screen */
#if OPT_LINEWRAP
	char	s_linewrap__;	/* wrap lines wider than screen */
#endif
	char	s_list__;	/* "list" mode -- show tabs and EOL */
	char	s_number__;	/* line-numbers shown */
#if !SMALLER
	char	s_ruler__;	/* display line+col in modeline */
#endif
	char	s_sideways__;	/* sideways offset for display */
#if OPT_SELECTIONS
	char	s_terse_selections__; /* don't display extent of selections on message line */
#endif
	char	s_unprintable_as_octal__; /* print non-printing chars in octal */
	char	s_MAX;
	char	Q1;
	} IndexWindows;

#if COLOR
#define WVAL_BCOLOR 	OFFSETOF(IndexWindows, s_bcolor__)
#define WVAL_FCOLOR 	OFFSETOF(IndexWindows, s_fcolor__)
#endif
#define WMDHORSCROLL 	OFFSETOF(IndexWindows, s_horizscroll__)
#if OPT_LINEWRAP
#define WMDLINEWRAP 	OFFSETOF(IndexWindows, s_linewrap__)
#endif
#define WMDLIST 	OFFSETOF(IndexWindows, s_list__)
#define WMDNUMBER 	OFFSETOF(IndexWindows, s_number__)
#if !SMALLER
#define WMDRULER 	OFFSETOF(IndexWindows, s_ruler__)
#endif
#define WVAL_SIDEWAYS 	OFFSETOF(IndexWindows, s_sideways__)
#if OPT_SELECTIONS
#define WMDTERSELECT 	OFFSETOF(IndexWindows, s_terse_selections__)
#endif
#define WMDNONPRINTOCTAL  OFFSETOF(IndexWindows, s_unprintable_as_octal__)

#define NUM_W_VALUES	OFFSETOF(IndexWindows, s_MAX) /* SIZEOF(w_valuenames) -- Windows */
#define MAX_W_VALUES	10


typedef struct W_VALUES {
	/* each entry is a val, and a ptr to a val */
	struct VAL wv[MAX_W_VALUES+1];
} W_VALUES;

#ifdef realdef
struct VALNAMES w_valuenames[] = {
#if COLOR
	{ s_bcolor__,		"X",		VALTYPE_COLOR,	WFHARD|WFCOLR },
	{ s_fcolor__,		"X",		VALTYPE_COLOR,	WFHARD|WFCOLR },
#endif
	{ s_nohorizscroll__+2,	s_nohs__+2,	VALTYPE_BOOL,	0 },
#if OPT_LINEWRAP
	{ s_nolinewrap__+2,	s_nolw__+2,	VALTYPE_BOOL,	WFHARD },
#endif
	{ s_nolist__+2,		s_noli__+2,	VALTYPE_BOOL,	WFHARD },
	{ s_nonumber__+2,	s_nonu__+2,	VALTYPE_BOOL,	WFSTAT|WFHARD },
#if !SMALLER
	{ s_noruler__+2,	"X",		VALTYPE_BOOL,	WFSTAT },
#endif
	{ s_sideways__,		s_side__,	VALTYPE_INT,	WFMODE|WFHARD },
#if OPT_SELECTIONS
	{ s_noterse_selections__+2, s_notsel__+2, VALTYPE_BOOL, 0 },
#endif
	{ s_nounprintable_as_octal__+2, s_nouo__+2, VALTYPE_BOOL, WFHARD },

	{ NULL,	NULL,	VALTYPE_INT, 0 }
};
#else
extern struct VALNAMES w_valuenames[];
#endif

/* buffer mode flags	*/
/* the indices of B_VALUES.v[] */
typedef	struct	{
#if OPT_UPBUFF
	char	s_animated__;	/* update scratch-buffers */
#endif
	char	s_autoindent__; /* auto-indent */
	char	s_autosave__;	/* auto-save mode */
	char	s_autosavecnt__; /* how often auto-saves occur */
	char	s_backspacelimit__; /* backspace limited in insert mode */
	char	s_c_shiftwidth__; /* shift-width for C buffers */
	char	s_c_tabstop__;	/* tab spacing for C buffers */
#if !SMALLER
	char	s_check_modtime__; /* check buffer-modtime */
#endif
	char	s_cmode__;	/* C indentation and fence match */
	char	s_comments__;	/* matches leading comment for comment reformatting */
#if CRYPT
	char	s_crypt__;	/* encrytion mode active */
#endif
	char	s_dos__;	/* "dos" mode -- lines end in crlf */
	char	s_fillcol__;	/* column for paragraph reformat, and line break */
	char	s_ignorecase__; /* Exact matching for searches */
	char	s_magic__;	/* regular expressions in search */
	char	s_meta_insert_bindings__; /* honor meta bindings in insert mode */
	char	s_newline__;	/* trailing newline (vi-style) */
	char	s_paragraphs__; /* delimits a paragraph */
	char	s_sections__;	/* delimits a section */
	char	s_sentences__;	/* delimits a sentence */
	char	s_shiftwidth__; /* shiftwidth for ^T/^D/<</>> */
	char	s_showmatch__;	/* auto-indent */
	char	s_showmode__;	/* show insert/replace/command mode */
	char	s_tabinsert__;	/* okay to insert tab chars */
	char	s_tabstop__;	/* tab spacing for most buffers */
	char	s_taglength__;	/* required significant length for tag lookups */
	char	s_tagrelative__; /* tags are relative to tagsfile path */
	char	s_tags__;	/* list of tags files */
	char	s_terse__;	/* be terse -- suppress messages */
	char	s_undolimit__;	/* how much undo stack is saved */
	char	s_view__;	/* read-only buffer */
	char	s_wrapmargin__; /* width of right margin for autowrap */
	char	s_wrapscan__;	/* wrap-around search mode */
	char	s_wrapwords__;	/* word wrap */
	char	s_MAX;
	char	Q1;
	} IndexBuffers;

#if OPT_UPBUFF
#define MDUPBUFF 	OFFSETOF(IndexBuffers, s_animated__)
#endif
#define MDAIND 		OFFSETOF(IndexBuffers, s_autoindent__)
#define MDASAVE 	OFFSETOF(IndexBuffers, s_autosave__)
#define VAL_ASAVECNT 	OFFSETOF(IndexBuffers, s_autosavecnt__)
#define MDBACKLIMIT 	OFFSETOF(IndexBuffers, s_backspacelimit__)
#define VAL_C_SWIDTH 	OFFSETOF(IndexBuffers, s_c_shiftwidth__)
#define VAL_C_TAB 	OFFSETOF(IndexBuffers, s_c_tabstop__)
#if !SMALLER
#define MDCHK_MODTIME 	OFFSETOF(IndexBuffers, s_check_modtime__)
#endif
#define MDCMOD 		OFFSETOF(IndexBuffers, s_cmode__)
#define VAL_COMMENTS 	OFFSETOF(IndexBuffers, s_comments__)
#if CRYPT
#define MDCRYPT 	OFFSETOF(IndexBuffers, s_crypt__)
#endif
#define MDDOS 		OFFSETOF(IndexBuffers, s_dos__)
#define VAL_FILL 	OFFSETOF(IndexBuffers, s_fillcol__)
#define MDIGNCASE 	OFFSETOF(IndexBuffers, s_ignorecase__)
#define MDMAGIC 	OFFSETOF(IndexBuffers, s_magic__)
#define MDMETAINSBIND 	OFFSETOF(IndexBuffers, s_meta_insert_bindings__)
#define MDNEWLINE 	OFFSETOF(IndexBuffers, s_newline__)
#define VAL_PARAGRAPHS  OFFSETOF(IndexBuffers, s_paragraphs__)
#define VAL_SECTIONS 	OFFSETOF(IndexBuffers, s_sections__)
#define VAL_SENTENCES 	OFFSETOF(IndexBuffers, s_sentences__)
#define VAL_SWIDTH 	OFFSETOF(IndexBuffers, s_shiftwidth__)
#define MDSHOWMAT 	OFFSETOF(IndexBuffers, s_showmatch__)
#define MDSHOWMODE 	OFFSETOF(IndexBuffers, s_showmode__)
#define MDTABINSERT 	OFFSETOF(IndexBuffers, s_tabinsert__)
#define VAL_TAB 	OFFSETOF(IndexBuffers, s_tabstop__)
#define VAL_TAGLEN 	OFFSETOF(IndexBuffers, s_taglength__)
#define MDTAGSRELTIV 	OFFSETOF(IndexBuffers, s_tagrelative__)
#define VAL_TAGS 	OFFSETOF(IndexBuffers, s_tags__)
#define MDTERSE 	OFFSETOF(IndexBuffers, s_terse__)
#define VAL_UNDOLIM 	OFFSETOF(IndexBuffers, s_undolimit__)
#define MDVIEW 		OFFSETOF(IndexBuffers, s_view__)
#define VAL_WRAPMARGIN  OFFSETOF(IndexBuffers, s_wrapmargin__)
#define MDSWRAP 	OFFSETOF(IndexBuffers, s_wrapscan__)
#define MDWRAP 		OFFSETOF(IndexBuffers, s_wrapwords__)

#define NUM_B_VALUES	OFFSETOF(IndexBuffers, s_MAX) /* SIZEOF(b_valuenames) -- Buffers */
#define MAX_B_VALUES	34


typedef struct B_VALUES {
	/* each entry is a val, and a ptr to a val */
	struct VAL bv[MAX_B_VALUES+1];
} B_VALUES;

#ifdef realdef
struct VALNAMES b_valuenames[] = {
#if OPT_UPBUFF
	{ s_noanimated__+2,	"X",		VALTYPE_BOOL,	0 },
#endif
	{ s_noautoindent__+2,	s_noai__+2,	VALTYPE_BOOL,	0 },
	{ s_noautosave__+2,	s_noas__+2,	VALTYPE_BOOL,	0 },
	{ s_autosavecnt__,	s_ascnt__,	VALTYPE_INT,	0 },
	{ s_nobackspacelimit__+2, s_nobl__+2,	VALTYPE_BOOL,	0 },
	{ s_c_shiftwidth__,	s_csw__,	VALTYPE_INT,	0 },
	{ s_c_tabstop__,	s_cts__,	VALTYPE_INT,	WFHARD|WFMODE },
#if !SMALLER
	{ s_nocheck_modtime__+2, "X",		VALTYPE_BOOL,	0 },
#endif
	{ s_nocmode__+2,	"X",		VALTYPE_BOOL,	WFHARD|WFMODE },
	{ s_comments__,		"X",		VALTYPE_REGEX,	0 },
#if CRYPT
	{ s_nocrypt__+2,	"X",		VALTYPE_BOOL,	0 },
#endif
	{ s_nodos__+2,		"X",		VALTYPE_BOOL,	WFHARD|WFMODE },
	{ s_fillcol__,		s_fc__,		VALTYPE_INT,	0 },
	{ s_noignorecase__+2,	s_noic__+2,	VALTYPE_BOOL,	0 },
	{ s_nomagic__+2,	"X",		VALTYPE_BOOL,	0 },
	{ s_nometa_insert_bindings__+2, s_nomib__+2, VALTYPE_BOOL, 0 },
	{ s_nonewline__+2,	s_nonl__+2,	VALTYPE_BOOL,	WFHARD },
	{ s_paragraphs__,	"X",		VALTYPE_REGEX,	0 },
	{ s_sections__,		"X",		VALTYPE_REGEX,	0 },
	{ s_sentences__,	"X",		VALTYPE_REGEX,	0 },
	{ s_shiftwidth__,	s_sw__,		VALTYPE_INT,	0 },
	{ s_noshowmatch__+2,	s_nosm__+2,	VALTYPE_BOOL,	0 },
	{ s_noshowmode__+2,	s_nosmd__+2,	VALTYPE_BOOL,	WFMODE },
	{ s_notabinsert__+2,	s_noti__+2,	VALTYPE_BOOL,	0 },
	{ s_tabstop__,		s_ts__,		VALTYPE_INT,	WFHARD|WFMODE },
	{ s_taglength__,	s_tl__,		VALTYPE_INT,	0 },
	{ s_notagrelative__+2,	s_notr__+2,	VALTYPE_BOOL,	0 },
	{ s_tags__,		"X",		VALTYPE_STRING, 0 },
	{ s_noterse__+2,	"X",		VALTYPE_BOOL,	0 },
	{ s_undolimit__,	s_ul__,		VALTYPE_INT,	0 },
	{ s_noview__+2,		"X",		VALTYPE_BOOL,	WFMODE },
	{ s_wrapmargin__,	s_wm__,		VALTYPE_INT,	0 },
	{ s_nowrapscan__+2,	s_nows__+2,	VALTYPE_BOOL,	0 },
	{ s_nowrapwords__+2,	s_noww__+2,	VALTYPE_BOOL,	0 },

	{ NULL,	NULL,	VALTYPE_INT, 0 }
};
#else
extern struct VALNAMES b_valuenames[];
#endif
